# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.networksolutions.com/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.networksolutions.com.rb'

describe Whois::Record::Parser::WhoisNetworksolutionsCom, "status_registered.expected" do

  subject do
    file = fixture("responses", "whois.networksolutions.com/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    described_class.new(part)
  end

  describe "#status" do
    it do
      lambda { subject.status }.should raise_error(Whois::AttributeNotSupported)
    end
  end
  describe "#available?" do
    it do
      subject.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      subject.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      subject.created_on.should be_a(Time)
      subject.created_on.should == Time.parse("1997-06-10")
    end
  end
  describe "#updated_on" do
    it do
      lambda { subject.updated_on }.should raise_error(Whois::AttributeNotSupported)
    end
  end
  describe "#expires_on" do
    it do
      subject.expires_on.should be_a(Time)
      subject.expires_on.should == Time.parse("2014-06-09")
    end
  end
  describe "#registrar" do
    it do
      subject.registrar.should be_a(Whois::Record::Registrar)
      subject.registrar.name.should         == "Network Solutions"
      subject.registrar.organization.should == "Network Solutions, LLC"
      subject.registrar.url.should          == "http://www.networksolutions.com/"
    end
  end
  describe "#registrant_contacts" do
    it do
      subject.registrant_contacts.should be_a(Array)
      subject.registrant_contacts.should have(1).items
      subject.registrant_contacts[0].should be_a(Whois::Record::Contact)
      subject.registrant_contacts[0].type.should         == Whois::Record::Contact::TYPE_REGISTRANT
      subject.registrant_contacts[0].name.should         == nil
      subject.registrant_contacts[0].organization.should == "XIF Communications"
      subject.registrant_contacts[0].address.should      == "1200 New Hampshire Avenue NW\nSuite 410"
      subject.registrant_contacts[0].city.should         == "Washington"
      subject.registrant_contacts[0].zip.should          == "20036"
      subject.registrant_contacts[0].state.should        == "DC"
      subject.registrant_contacts[0].country_code.should == "US"
      subject.registrant_contacts[0].phone.should        == nil
      subject.registrant_contacts[0].fax.should          == nil
      subject.registrant_contacts[0].email.should        == nil
    end
  end
  describe "#admin_contacts" do
    it do
      subject.admin_contacts.should be_a(Array)
      subject.admin_contacts.should have(1).items
      subject.admin_contacts[0].should be_a(Whois::Record::Contact)
      subject.admin_contacts[0].type.should         == Whois::Record::Contact::TYPE_ADMIN
      subject.admin_contacts[0].name.should         == "Communications, XIF ContactMiddleName"
      subject.admin_contacts[0].organization.should == "XIF Communications"
      subject.admin_contacts[0].address.should      == "1200 New Hampshire Avenue NW\nSuite 410"
      subject.admin_contacts[0].city.should         == "Washington"
      subject.admin_contacts[0].zip.should          == "20036"
      subject.admin_contacts[0].state.should        == "DC"
      subject.admin_contacts[0].country_code.should == "US"
      subject.admin_contacts[0].phone.should        == "202-463-7200"
      subject.admin_contacts[0].fax.should          == "202-318-4003"
      subject.admin_contacts[0].email.should        == "noc@xif.com"
    end
  end
  describe "#technical_contacts" do
    it do
      subject.technical_contacts.should be_a(Array)
      subject.technical_contacts.should have(1).items
      subject.technical_contacts[0].should be_a(Whois::Record::Contact)
      subject.technical_contacts[0].type.should         == Whois::Record::Contact::TYPE_TECHNICAL
      subject.technical_contacts[0].name.should         == "Communications, XIF ContactMiddleName"
      subject.technical_contacts[0].organization.should == "XIF Communications"
      subject.technical_contacts[0].address.should      == "1200 New Hampshire Avenue NW\nSuite 410"
      subject.technical_contacts[0].city.should         == "Washington"
      subject.technical_contacts[0].zip.should          == "20036"
      subject.technical_contacts[0].state.should        == "DC"
      subject.technical_contacts[0].country_code.should == "US"
      subject.technical_contacts[0].phone.should        == "202-463-7200"
      subject.technical_contacts[0].fax.should          == "202-318-4003"
      subject.technical_contacts[0].email.should        == "noc@xif.com"
    end
  end
  describe "#nameservers" do
    it do
      subject.nameservers.should be_a(Array)
      subject.nameservers.should have(3).items
      subject.nameservers[0].should be_a(Whois::Record::Nameserver)
      subject.nameservers[0].name.should == "ns01.xif.com"
      subject.nameservers[0].ipv4.should == "63.240.200.70"
      subject.nameservers[1].should be_a(Whois::Record::Nameserver)
      subject.nameservers[1].name.should == "ns-east.cerf.net"
      subject.nameservers[1].ipv4.should == "207.252.96.3"
      subject.nameservers[2].should be_a(Whois::Record::Nameserver)
      subject.nameservers[2].name.should == "ns-west.cerf.net"
      subject.nameservers[2].ipv4.should == "192.153.156.3"
    end
  end
  describe "#response_throttled?" do
    it do
      subject.response_throttled?.should == false
    end
  end
end
