# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.nic.hu/schema-1.99/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.nic.hu.rb'

describe Whois::Record::Parser::WhoisNicHu, "status_registered.expected" do

  subject do
    file = fixture("responses", "whois.nic.hu/schema-1.99/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    described_class.new(part)
  end

  describe "#disclaimer" do
    it do
      subject.disclaimer.should == "Rights restricted by copyright. Szerzõi jog fenntartva.\n-Legal usage of this service requires that you agree to\nabide by the rules and conditions set forth at\nhttp://www.domain.hu/domain/English/domainsearch/feltetelek.html\n-A szolgaltatas csak a\nhttp://www.domain.hu/domain/domainsearch/feltetelek.html címen\nelérhetõ feltételek elfogadása és betartása mellett\nhasználható legálisan."
    end
  end
  describe "#domain" do
    it do
      subject.domain.should == "google.hu"
    end
  end
  describe "#domain_id" do
    it do
      subject.domain_id.should == "0000219547"
    end
  end
  describe "#status" do
    it do
      subject.status.should == :registered
    end
  end
  describe "#available?" do
    it do
      subject.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      subject.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      subject.created_on.should be_a(Time)
      subject.created_on.should == Time.parse("2000-03-25 23:20:39")
    end
  end
  describe "#updated_on" do
    it do
      subject.updated_on.should be_a(Time)
      subject.updated_on.should == Time.parse("2009-08-25 10:11:32")
    end
  end
  describe "#expires_on" do
    it do
      lambda { subject.expires_on }.should raise_error(Whois::AttributeNotSupported)
    end
  end
  describe "#registrar" do
    it do
      subject.registrar.should be_a(Whois::Record::Registrar)
      subject.registrar.id.should           == "1960108002"
      subject.registrar.name.should         == "3C Kft. CLASS(registrar)"
      subject.registrar.organization.should == "3C Ltd."
    end
  end
  describe "#registrant_contacts" do
    it do
      subject.registrant_contacts.should be_a(Array)
      subject.registrant_contacts.should have(1).items
      subject.registrant_contacts[0].should be_a(Whois::Record::Contact)
      subject.registrant_contacts[0].type.should         == Whois::Record::Contact::TYPE_REGISTRANT
      subject.registrant_contacts[0].id.should           == nil
      subject.registrant_contacts[0].name.should         == "Google, Inc."
      subject.registrant_contacts[0].organization.should == "Google, Inc."
      subject.registrant_contacts[0].address.should      == "Amphitheatre Pkwy 1600."
      subject.registrant_contacts[0].city.should         == "Mountain View"
      subject.registrant_contacts[0].zip.should          == "CA-94043"
      subject.registrant_contacts[0].state.should        == nil
      subject.registrant_contacts[0].country_code.should == "US"
      subject.registrant_contacts[0].phone.should        == "+1 650 253 0000"
      subject.registrant_contacts[0].fax.should          == "+1 650 253 0001"
      subject.registrant_contacts[0].email.should        == nil
    end
  end
  describe "#admin_contacts" do
    it do
      subject.admin_contacts.should be_a(Array)
      subject.admin_contacts.should have(1).items
      subject.admin_contacts[0].should be_a(Whois::Record::Contact)
      subject.admin_contacts[0].type.should         == Whois::Record::Contact::TYPE_ADMIN
      subject.admin_contacts[0].id.should           == "2000466366"
      subject.admin_contacts[0].name.should         == "3C Kft. CLASS(registrar)"
      subject.admin_contacts[0].organization.should == nil
      subject.admin_contacts[0].address.should      == "Konkoly Thege út 29-33."
      subject.admin_contacts[0].city.should         == "Budapest"
      subject.admin_contacts[0].zip.should          == "H-1121"
      subject.admin_contacts[0].state.should        == nil
      subject.admin_contacts[0].country_code.should == "HU"
      subject.admin_contacts[0].phone.should        == "+36 1 275 52 00"
      subject.admin_contacts[0].fax.should          == "+36 1 275 58 87"
    end
  end
  describe "#technical_contacts" do
    it do
      subject.technical_contacts.should be_a(Array)
      subject.technical_contacts.should have(1).items
      subject.technical_contacts[0].should be_a(Whois::Record::Contact)
      subject.technical_contacts[0].type.should         == Whois::Record::Contact::TYPE_TECHNICAL
      subject.technical_contacts[0].id.should           == "2000578125"
      subject.technical_contacts[0].name.should         == "Markmonitor"
      subject.technical_contacts[0].organization.should == nil
      subject.technical_contacts[0].address.should      == "Overland Road 10400, PMB155"
      subject.technical_contacts[0].city.should         == "Boise"
      subject.technical_contacts[0].zip.should          == "ID-83709"
      subject.technical_contacts[0].state.should        == nil
      subject.technical_contacts[0].country_code.should == "US"
      subject.technical_contacts[0].phone.should        == "+ 1 208 389 5798"
      subject.technical_contacts[0].fax.should          == "+ 1 208 389 5771"
      subject.technical_contacts[0].email.should        == "ccops@markmonitor.com"
    end
  end
  describe "#nameservers" do
    it do
      subject.nameservers.should be_a(Array)
      subject.nameservers.should have(4).items
      subject.nameservers[0].should be_a(Whois::Record::Nameserver)
      subject.nameservers[0].name.should == "ns1.google.com"
      subject.nameservers[1].should be_a(Whois::Record::Nameserver)
      subject.nameservers[1].name.should == "ns4.google.com"
      subject.nameservers[2].should be_a(Whois::Record::Nameserver)
      subject.nameservers[2].name.should == "ns3.google.com"
      subject.nameservers[3].should be_a(Whois::Record::Nameserver)
      subject.nameservers[3].name.should == "ns2.google.com"
    end
  end
  describe "#zone_contact" do
    it do
      subject.zone_contact.should be_a(Whois::Record::Contact)
      subject.zone_contact.type.should         == nil
      subject.zone_contact.id.should           == "2000578125"
      subject.zone_contact.name.should         == "Markmonitor"
      subject.zone_contact.organization.should == nil
      subject.zone_contact.address.should      == "Overland Road 10400, PMB155"
      subject.zone_contact.city.should         == "Boise"
      subject.zone_contact.zip.should          == "ID-83709"
      subject.zone_contact.state.should        == nil
      subject.zone_contact.country_code.should == "US"
      subject.zone_contact.phone.should        == "+ 1 208 389 5798"
      subject.zone_contact.fax.should          == "+ 1 208 389 5771"
      subject.zone_contact.email.should        == "ccops@markmonitor.com"
    end
  end
  describe "#registrar_contact" do
    it do
      subject.registrar_contact.should be_a(Whois::Record::Contact)
      subject.registrar_contact.type.should         == nil
      subject.registrar_contact.id.should           == "1960108002"
      subject.registrar_contact.name.should         == "3C Kft. CLASS(registrar)"
      subject.registrar_contact.organization.should == "3C Ltd."
      subject.registrar_contact.address.should      == "Konkoly Thege út 29-33."
      subject.registrar_contact.city.should         == "Budapest"
      subject.registrar_contact.zip.should          == "H-1121"
      subject.registrar_contact.state.should        == nil
      subject.registrar_contact.country_code.should == "HU"
      subject.registrar_contact.phone.should        == "+36 1 275 52 00"
      subject.registrar_contact.fax.should          == "+36 1 275 58 87"
    end
  end
end
