# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.nic.it/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.nic.it.rb'

describe Whois::Record::Parser::WhoisNicIt, "status_registered.expected" do

  subject do
    file = fixture("responses", "whois.nic.it/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    described_class.new(part)
  end

  describe "#disclaimer" do
    it do
      subject.disclaimer.should == "Please note that the following result could be a subgroup of the data contained in the database. Additional information can be visualized at: http://www.nic.it/cgi-bin/Whois/whois.cgi"
    end
  end
  describe "#domain" do
    it do
      subject.domain.should == "google.it"
    end
  end
  describe "#domain_id" do
    it do
      lambda { subject.domain_id }.should raise_error(Whois::AttributeNotSupported)
    end
  end
  describe "#status" do
    it do
      subject.status.should == :registered
    end
  end
  describe "#available?" do
    it do
      subject.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      subject.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      subject.created_on.should be_a(Time)
      subject.created_on.should == Time.parse("1999-12-10 00:00:00")
    end
  end
  describe "#updated_on" do
    it do
      subject.updated_on.should be_a(Time)
      subject.updated_on.should == Time.parse("2008-11-27 16:47:22")
    end
  end
  describe "#expires_on" do
    it do
      subject.expires_on.should be_a(Time)
      subject.expires_on.should == Time.parse("2009-11-27 00:00:00")
    end
  end
  describe "#registrar" do
    it do
      subject.registrar.should be_a(Whois::Record::Registrar)
      subject.registrar.id.should           == "REGISTER-MNT"
      subject.registrar.name.should         == "REGISTER-MNT"
      subject.registrar.organization.should == "Register.it s.p.a."
    end
  end
  describe "#registrant_contacts" do
    it do
      subject.registrant_contacts.should be_a(Array)
      subject.registrant_contacts.should have(1).items
      subject.registrant_contacts[0].should be_a(Whois::Record::Contact)
      subject.registrant_contacts[0].type.should          == Whois::Record::Contact::TYPE_REGISTRANT
      subject.registrant_contacts[0].id.should            == "GOOG175-ITNIC"
      subject.registrant_contacts[0].name.should          == "Google Ireland Holdings"
      subject.registrant_contacts[0].organization.should  == nil
      subject.registrant_contacts[0].address.should       == "30 Herbert Street"
      subject.registrant_contacts[0].city.should          == "Dublin"
      subject.registrant_contacts[0].zip.should           == "2"
      subject.registrant_contacts[0].state.should         == "IE"
      subject.registrant_contacts[0].country_code.should  == "IE"
      subject.registrant_contacts[0].created_on.should    == Time.parse("2008-11-27 16:47:22")
      subject.registrant_contacts[0].updated_on.should    == Time.parse("2008-11-27 16:47:22")
    end
  end
  describe "#admin_contacts" do
    it do
      subject.admin_contacts.should be_a(Array)
      subject.admin_contacts.should have(1).items
      subject.admin_contacts[0].should be_a(Whois::Record::Contact)
      subject.admin_contacts[0].type.should          == Whois::Record::Contact::TYPE_ADMIN
      subject.admin_contacts[0].id.should            == "TT4277-ITNIC"
      subject.admin_contacts[0].name.should          == "Tsao Tu"
      subject.admin_contacts[0].organization.should  == "Tu Tsao"
      subject.admin_contacts[0].address.should       == "30 Herbert Street"
      subject.admin_contacts[0].city.should          == "Dublin"
      subject.admin_contacts[0].zip.should           == "2"
      subject.admin_contacts[0].state.should         == "IE"
      subject.admin_contacts[0].country_code.should  == "IE"
      subject.admin_contacts[0].created_on.should    == Time.parse("2008-11-27 16:47:22")
      subject.admin_contacts[0].updated_on.should    == Time.parse("2008-11-27 16:47:22")
    end
  end
  describe "#technical_contacts" do
    it do
      subject.technical_contacts.should be_a(Array)
      subject.technical_contacts.should have(1).items
      subject.technical_contacts[0].should be_a(Whois::Record::Contact)
      subject.technical_contacts[0].type.should          == Whois::Record::Contact::TYPE_TECHNICAL
      subject.technical_contacts[0].id.should            == "TS7016-ITNIC"
      subject.technical_contacts[0].name.should          == "Technical Services"
    end
  end
  describe "#nameservers" do
    it do
      subject.nameservers.should be_a(Array)
      subject.nameservers.should have(4).items
      subject.nameservers[0].should be_a(Whois::Record::Nameserver)
      subject.nameservers[0].name.should == "ns1.google.com"
      subject.nameservers[1].should be_a(Whois::Record::Nameserver)
      subject.nameservers[1].name.should == "ns4.google.com"
      subject.nameservers[2].should be_a(Whois::Record::Nameserver)
      subject.nameservers[2].name.should == "ns2.google.com"
      subject.nameservers[3].should be_a(Whois::Record::Nameserver)
      subject.nameservers[3].name.should == "ns3.google.com"
    end
  end
  describe "#response_unavailable?" do
    it do
      subject.response_unavailable?.should == false
    end
  end
end
